%define version 6.2.0
%define release 14mdk

Summary: A Kanji (Japanese character set) terminal emulator for X.
Name: kterm
Version: %{version}
Release: %{release}
Source: ftp://ftp.sunet.se/pub/X11/R6contrib/applications/kterm-6.2.0.tar.bz2
Source1: kterm.wmconfig
Patch0: kterm-6.2.0-kbd.patch.bz2
Patch1: kterm-6.2.0-glibc.patch.bz2
Patch2: kterm-6.2.0-utmp98.patch.bz2
Patch3: kterm-6.2.0-hanzi.patch.bz2
Patch4: kterm-6.2.0-allfonts.patch.bz2
Copyright: distributable
Group: Terminals
Icon: kterm.gif
BuildRequires: yudit XFree86-devel gpm-devel ncurses-devel utempter-devel
Buildroot:	%{_tmppath}/%{name}-buildroot/
Requires: %{_sbindir}/utempter locales-ja

%changelog
* Mon Sep 25 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 6.2.0-14mdk
- BM + macro's

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 6.2.0-13mdk
- automatically added BuildRequires

* Thu Apr 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 6.2.0-12mdk
- fixed group

* Fri Jan  7 2000 Pixel <pixel@mandrakesoft.com>
- add requires locales.ja

* Sat Oct 30 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- added patch to handle Hanzi-in code \e$(E as \e$A (I don't know much
  about this, but playing whith jis2gb and gb2jis I saw only difference on
  one kanji on the texts I have; so it is worth to add it as displayable,
  even if not 100% correct)
- added a little patch to KTerm.ad ressources file so the full font list
  is included, so multilingual support is ready out of the box.
  (do "cat DEMO.kt.uu | uudecode" on kterm to see it; of course you need
  the proper fonts installed)
- corrected the type of ressources and wmconfig files (they must be %config !)
- install the japanese man page

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS

* Fri Mar 26 1999 Erik Troan <ewt@redhat.com>
- added unix98 pty support

* Wed Mar 24 1999 Erik Troan <ewt@redhat.com>
- added utemper support
- turn off setuid bit

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Thu Jan  7 1999 Bill Nottingham <notting@redhat.com>
- built for glibc2.1
- this package doesn't change much, does it?

* Fri May 01 1998 Prospector System <bugs@redhat.com>

- translations modified for de, fr, tr

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- fixed build problems for manhattan

* Tue Oct 21 1997 Otto Hammersmith <otto@redhat.com>
- updated source
- added wmconfig entries
- fixed source url

* Tue Oct 07 1997 Erik Troan <ewt@redhat.com>
- needed patch for glibc on the alpha as TIOCSLTC is defined for OSF 
  compatibility

* Thu Jul 31 1997 Erik Troan <ewt@redhat.com>
- built against glibc

%description
The kterm package provides a terminal emulator for the Kanji Japanese
character set.

Install kterm if you need a Kanji character set terminal emulator.
You'll also need to have the X Window System installed.

%prep
%setup
%patch0 -p1 -b .kbd
%patch1 -p1 -b .glibc
%patch2 -p1 -b .utempter
#%patch3 -p1 -b .hanzi
%patch4 -p1 -b .allfonts

%build
xmkmf
make CDEBUGFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make install install.man DESTDIR=$RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/X11/wmconfig
install -m 644 $RPM_SOURCE_DIR/kterm.wmconfig \
	$RPM_BUILD_ROOT%{_sysconfdir}/X11/wmconfig/kterm
chmod 755 $RPM_BUILD_ROOT/usr/X11R6/bin/kterm

# install japanese man page
mkdir -p $RPM_BUILD_ROOT%{_mandir}/ja/man1
uniconv -o kterm.man.euc -I JIS -O EUC_JP kterm.jman
install -m 644 kterm.man.euc $RPM_BUILD_ROOT%{_mandir}/ja/man1/kterm.1

find $RPM_BUILD_ROOT/ -type 'f'|grep -E '.*[0-9]($|x)' | xargs file \
	| grep troff | cut -d: -f1 | xargs bzip2 -9

for i in `find $RPM_BUILD_ROOT/ -type 'f' -perm '+a=x' ! -name 'lib*so*'`; do
	file $i |grep -q "not stripped" && strip $i
done

%files
%defattr(-,root,root)
%doc DEMO.kt.uu README*
/usr/X11R6/bin/kterm
%config /usr/X11R6/lib/X11/app-defaults/KTerm
/usr/X11R6/man/man1/kterm.1x.bz2
%lang(ja) %{_mandir}/ja/man1/kterm.1.bz2
%config %{_sysconfdir}/X11/wmconfig/kterm

%clean
rm -rf $RPM_BUILD_ROOT
